# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "camel-prometheus"
version = "0.7.5"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Prometheus metrics integration for rust-camel"
homepage = "https://github.com/kennycallado/rust-camel"
documentation = "https://docs.rs/camel-prometheus"
readme = "README.md"
keywords = [
    "camel",
    "integration",
    "messaging",
    "routing",
    "enterprise",
]
categories = [
    "network-programming",
    "asynchronous",
    "development-tools",
]
license = "Apache-2.0"
repository = "https://github.com/kennycallado/rust-camel"
resolver = "2"

[lib]
name = "camel_prometheus"
path = "src/lib.rs"

[[test]]
name = "health_context_test"
path = "tests/health_context_test.rs"

[[test]]
name = "health_test"
path = "tests/health_test.rs"

[[test]]
name = "integration_test"
path = "tests/integration_test.rs"

[[test]]
name = "lifecycle_test"
path = "tests/lifecycle_test.rs"

[dependencies.async-trait]
version = "0.1"

[dependencies.axum]
version = "0.8"

[dependencies.camel-api]
version = "=0.7.5"

[dependencies.camel-health]
version = "=0.7.5"

[dependencies.prometheus]
version = "0.14"

[dependencies.tokio]
version = "1"
features = ["full"]

[dependencies.tracing]
version = "0.1"

[dev-dependencies.camel-builder]
version = "=0.7.5"

[dev-dependencies.camel-component-timer]
version = "=0.7.5"

[dev-dependencies.camel-core]
version = "=0.7.5"

[dev-dependencies.reqwest]
version = "0.12"
features = [
    "json",
    "rustls-tls",
]
default-features = false

[dev-dependencies.serde_json]
version = "1"

[dev-dependencies.tower]
version = "0.5"
features = [
    "util",
    "util",
]
